// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.dynamo.iface);
importPackage(Packages.com.silverwrist.dynamo.mail);
importPackage(Packages.com.silverwrist.dynamo.util);
importPackage(Packages.com.silverwrist.venice.content);

req = bsf.lookupBean("request");
req_help = bsf.lookupBean("request_help");
me = vlib.getUser(req);

to_uid = req_help.getParameterInt("to_uid",-1);
if (to_uid<=0)
  dynamo.scriptReturn(new ErrorBox(null,"Invalid user ID parameter."));

on_error = "top.js.vs";
user = vlib.lookupUser(req,to_uid);
if (user==null)
  dynamo.scriptReturn(new ErrorBox(null,"Invalid user ID parameter.",on_error));
on_error = "user/" + user.getName();
vlib.setOnError(req,on_error);

logger.debug("sending quick email message to " + user.getName());

// compose the E-mail message
mailprov = cast.queryMailMessageProvider(req);
msg = mailprov.createUserMessage(req,me);
msg.addRecipient(MailMessage.RECIP_TO,user.getEMailAddress());
msg.setSubject(req_help.getParameterString("subj"));
msg.setText(req_help.getParameterString("pb"));
msg.send();

// all done - bounce back to the user's profile.
dynamo.scriptOutput(new Redirect("SERVLET","user/" + user.getName()));
